Package com.pixelmed.convert

# Class NIfTI1Header

java.lang.Object
com.pixelmed.convert.NIfTI1Header

public class NIfTI1Header extends Object

A class for extracting NIfTI-1 image input format headers.

## Field Summary

Fields
Modifier and Type
Field
Description
`byte[]`
`aux_file`
`boolean`
`bigEndian`
`short`
`bitpix`
`byte[]`
`bytes`
`float`
`cal_max`
`float`
`cal_min`
`com.pixelmed.convert.NIfTI1Header.DataType`
`datatype`
`short`
`datatype_code`
`byte[]`
`description`
`short[]`
`dim`
`byte`
`dim_info`
`static final int`
`FIXED_HEADER_LENGTH`
`com.pixelmed.convert.NIfTI1Header.Intent`
`intent`
`short`
`intent_code`
`byte[]`
`intent_name`
`float`
`intent_p1`
`float`
`intent_p2`
`float`
`intent_p3`
`byte[]`
`magic`
`static final int`
`MAGIC_OFFSET`
`float[]`
`pixdim`
`com.pixelmed.convert.NIfTI1Header.CoordinateTransform`
`qform`
`short`
`qform_code`
`float`
`qoffset_x`
`float`
`qoffset_y`
`float`
`qoffset_z`
`float`
`quatern_b`
`float`
`quatern_c`
`float`
`quatern_d`
`float`
`scl_inter`
`float`
`scl_slope`
`com.pixelmed.convert.NIfTI1Header.CoordinateTransform`
`sform`
`short`
`sform_code`
`int`
`sizeof_hdr`
`byte`
`slice_code`
`float`
`slice_duration`
`short`
`slice_end`
`com.pixelmed.convert.NIfTI1Header.SliceOrder`
`slice_order`
`short`
`slice_start`
`float[]`
`srow_x`
`float[]`
`srow_y`
`float[]`
`srow_z`
`float`
`toffset`
`float`
`vox_offset`
`byte`
`xyzt_units_code`
`byte`
`xyzt_units_code_spatial`
`byte`
`xyzt_units_code_temporal`
`com.pixelmed.convert.NIfTI1Header.Units`
`xyzt_units_spatial`
`com.pixelmed.convert.NIfTI1Header.Units`
`xyzt_units_temporal`

## Constructor Summary

Constructors
Constructor
Description
`NIfTI1Header(File inputFile)`

## Method Summary

Modifier and Type
Method
Description
`static File`
`getImageDataFile(File headerFile)`
`boolean`
`isNIfTI1DualFileMagicNumber()`
`static boolean`
`isNIfTI1DualFileMagicNumber(byte[] bytes, int offset)`
`boolean`
`isNIfTI1SingleFileMagicNumber()`
`static boolean`
`isNIfTI1SingleFileMagicNumber(byte[] bytes, int offset)`
`static void`
`main(String[] arg)`
Read a NIfTI-1 image input format files and dump header.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FIXED_HEADER_LENGTH

public static final int FIXED_HEADER_LENGTH

See Also:
  - Constant Field Values

### MAGIC_OFFSET

public static final int MAGIC_OFFSET

See Also:
  - Constant Field Values

### bytes

public byte[] bytes

### bigEndian

public boolean bigEndian

### sizeof_hdr

public int sizeof_hdr

### dim_info

public byte dim_info

### dim

public short[] dim

### intent_p1

public float intent_p1

### intent_p2

public float intent_p2

### intent_p3

public float intent_p3

### intent_code

public short intent_code

### intent

public com.pixelmed.convert.NIfTI1Header.Intent intent

### datatype_code

public short datatype_code

### datatype

public com.pixelmed.convert.NIfTI1Header.DataType datatype

### bitpix

public short bitpix

### slice_start

public short slice_start

### pixdim

public float[] pixdim

### vox_offset

public float vox_offset

### scl_slope

public float scl_slope

### scl_inter

public float scl_inter

### slice_end

public short slice_end

### slice_code

public byte slice_code

### slice_order

public com.pixelmed.convert.NIfTI1Header.SliceOrder slice_order

### xyzt_units_code

public byte xyzt_units_code

### xyzt_units_code_spatial

public byte xyzt_units_code_spatial

### xyzt_units_spatial

public com.pixelmed.convert.NIfTI1Header.Units xyzt_units_spatial

### xyzt_units_code_temporal

public byte xyzt_units_code_temporal

### xyzt_units_temporal

public com.pixelmed.convert.NIfTI1Header.Units xyzt_units_temporal

### cal_max

public float cal_max

### cal_min

public float cal_min

### slice_duration

public float slice_duration

### toffset

public float toffset

### description

public byte[] description

### aux_file

public byte[] aux_file

### qform_code

public short qform_code

### qform

public com.pixelmed.convert.NIfTI1Header.CoordinateTransform qform

### sform_code

public short sform_code

### sform

public com.pixelmed.convert.NIfTI1Header.CoordinateTransform sform

### quatern_b

public float quatern_b

### quatern_c

public float quatern_c

### quatern_d

public float quatern_d

### qoffset_x

public float qoffset_x

### qoffset_y

public float qoffset_y

### qoffset_z

public float qoffset_z

### srow_x

public float[] srow_x

### srow_y

public float[] srow_y

### srow_z

public float[] srow_z

### intent_name

public byte[] intent_name

### magic

public byte[] magic

## Constructor Details

### NIfTI1Header

public NIfTI1Header(File inputFile) throws IOException, NIfTI1Exception

Throws:
  `IOException`
  `NIfTI1Exception`

## Method Details

### isNIfTI1SingleFileMagicNumber

public static boolean isNIfTI1SingleFileMagicNumber(byte[] bytes, int offset)

### isNIfTI1DualFileMagicNumber

public static boolean isNIfTI1DualFileMagicNumber(byte[] bytes, int offset)

### isNIfTI1SingleFileMagicNumber

public boolean isNIfTI1SingleFileMagicNumber()

### isNIfTI1DualFileMagicNumber

public boolean isNIfTI1DualFileMagicNumber()

### getImageDataFile

public static File getImageDataFile(File headerFile)

### main

public static void main(String[] arg)

Read a NIfTI-1 image input format files and dump header.

Parameters:
  `arg` - the inputFile,